# Class ScopedAttributeELResolver

java.lang.Object
jakarta.el.ELResolver
jakarta.servlet.jsp.el.ScopedAttributeELResolver

public class ScopedAttributeELResolver extends jakarta.el.ELResolver
An ELResolver for working with JSP scoped attributes which may have page, request, session or application scope.

Since:
  JSP 2.1

## Field Summary

### Fields inherited from class jakarta.el.ELResolver

`RESOLVABLE_AT_DESIGN_TIME, TYPE`

## Constructor Summary

Constructors
Constructor
Description
`ScopedAttributeELResolver()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`Class<String>`
`getCommonPropertyType(jakarta.el.ELContext context, Object base)`
Obtain the most common type that is acceptable for the given base object.
`Iterator<FeatureDescriptor>`
`getFeatureDescriptors(jakarta.el.ELContext context, Object base)`
Deprecated, for removal: This API element is subject to removal in a future version.
`Class<Object>`
`getType(jakarta.el.ELContext context, Object base, Object property)`
Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.
`Object`
`getValue(jakarta.el.ELContext context, Object base, Object property)`
Obtain the value of the given property on the given object using the given context.
`boolean`
`isReadOnly(jakarta.el.ELContext context, Object base, Object property)`
Determine if the given property on the given object is read-only using the given context.
`void`
`setValue(jakarta.el.ELContext context, Object base, Object property, Object value)`
Set the value of the given property on the given object using the given context.

### Methods inherited from class jakarta.el.ELResolver

`convertToType, invoke`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScopedAttributeELResolver

public ScopedAttributeELResolver()
Default constructor.

## Method Details

### getValue

public Object getValue(jakarta.el.ELContext context, Object base, Object property)
Description copied from class: `jakarta.el.ELResolver`
Obtain the value of the given property on the given object using the given context.

Specified by:
  `getValue` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be returned
Returns:
  the value of the provided property

### getType

public Class<Object> getType(jakarta.el.ELContext context, Object base, Object property)
Description copied from class: `jakarta.el.ELResolver`
Obtain the most generally acceptable type that may be used to set the given property on the given object using the given context.

Specified by:
  `getType` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose type is to be returned
Returns:
  the most general type that maybe used to set the provided property or `null` if the resolver is read-only.

### setValue

public void setValue(jakarta.el.ELContext context, Object base, Object property, Object value)
Description copied from class: `jakarta.el.ELResolver`
Set the value of the given property on the given object using the given context.

Specified by:
  `setValue` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be set
  `value` - The value to set the property to

### isReadOnly

public boolean isReadOnly(jakarta.el.ELContext context, Object base, Object property)
Description copied from class: `jakarta.el.ELResolver`
Determine if the given property on the given object is read-only using the given context.

Specified by:
  `isReadOnly` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property to be checked for read only status
Returns:
  `true` if the identified property is read only, otherwise `false`

### getFeatureDescriptors

@Deprecated(forRemoval=true, since="JSP 3.1") public Iterator<FeatureDescriptor> getFeatureDescriptors(jakarta.el.ELContext context, Object base)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from class: `jakarta.el.ELResolver`
Obtain the feature descriptors for the resolvable properties of the given object.

The default implementation returns `null`.

Overrides:
  `getFeatureDescriptors` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The context in which the examination takes place
  `base` - The object to examine
Returns:
  An iterator, possibly empty, of feature descriptors of the given object

### getCommonPropertyType

public Class<String> getCommonPropertyType(jakarta.el.ELContext context, Object base)
Description copied from class: `jakarta.el.ELResolver`
Obtain the most common type that is acceptable for the given base object.

Specified by:
  `getCommonPropertyType` in class `jakarta.el.ELResolver`
Parameters:
  `context` - The context in which the examination takes place
  `base` - The object to examine
Returns:
  {code null} if the most common type cannot be determine, otherwise the most common type